# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   w2k theme for kde
Name:      ks2k
Version:   1.1
Release:   7AX
Copyright: GPL
Url:       www.redflag-linux.com
Group:     Application/System
Source:    %{name}-%{version}.tgz
Source1:   Logo-ax.png
BuildRoot: /var/tmp/%{name}-root

%description
w2k theme for kde

%prep
%setup -q

unset QTDIR && . /etc/profile.d/qt.sh
export QTLIB=$QTDIR/lib

suffix=""
if [ "%{_lib}" == "lib64" ]; then
    suffix="64"
fi

CFLAGS="$RPM_OPT_FLAGS -fPIC" CXXFLAGS="$RPM_OPT_FLAGS -fPIC" ./configure \
		 --with-qt-libraries=$QTLIB \
		 --enable-libsuffix="$suffix" \
                 --prefix=/usr \
                $LOCALFLAGS
%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make  prefix=$RPM_BUILD_ROOT/usr install 

mkdir -p $RPM_BUILD_ROOT/usr/share/services/
cp ksplash2k.desktop $RPM_BUILD_ROOT/usr/share/services/
mkdir -p $RPM_BUILD_ROOT/usr/share/apps/ksplash/Themes/KDE2k/
cp doc/KDE2k/* $RPM_BUILD_ROOT/usr/share/apps/ksplash/Themes/KDE2k/
mkdir -p $RPM_BUILD_ROOT/usr/share/config/
cp ksplashrc $RPM_BUILD_ROOT/usr/share/config/

rm -f $RPM_BUILD_ROOT/usr/share/apps/ksplash/Themes/KDE2k/Logo.png
cp -f %{SOURCE1} $RPM_BUILD_ROOT/usr/share/apps/ksplash/Themes/KDE2k/
%clean
rm -rf $RPM_BUILD_ROOT

%post
cd /usr/share/apps/ksplash/Themes/KDE2k
ln -fs Logo-ax.png Logo.png

%files
/usr/%{_lib}/kde3/ksplash2k*
/usr/share/apps/ksplash/Themes/KDE2k/*
/usr/share/services/ksplash2k.desktop
/usr/share/config/*

%changelog
* Fri Apr 08 2005 Hua Jie <jiehua@redflag-linux.com> 1.1-7AX
- change Logo.png to Asianux Logo

* Wed Mar 23 2005 Hua Jie <jiehua@redflag-linux.com> 1.1-6
- add -fPIC option and use /usr/%{_lib} instead of /usr/lib

* Tue Mar 22 2005 Hua Jie <jiehua@redflag-linux.com> 1.1-5
- enable libsuffix for x86-64

* Tue Mar 22 2005 Hua Jie <jiehua@redflag-linux.com> 1.1-4
- update to 1.1
- rebuild for Asianux
